Skip to main content
POST
/
v1
/
wikis
/
{wiki_id}
/
sources
Upload Sources
curl --request POST \
  --url https://almanac-backend-83vc.onrender.com/v1/wikis/{wiki_id}/sources \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form 'files=<string>' \
  --form 'instruction=<string>' \
  --form provider=codex
{
  "batch": {
    "batch_id": "<string>",
    "created_at": "<string>",
    "error": "<string>",
    "finished_at": "<string>",
    "source_count": 123,
    "status_label": "<string>",
    "summary": "<string>",
    "updated_at": "<string>",
    "wiki_id": "<string>"
  },
  "job": {
    "created_at": "<string>",
    "current_step": "<string>",
    "error": "<string>",
    "finished_at": "<string>",
    "import_batch_id": "<string>",
    "job_id": "<string>",
    "operation": "<string>",
    "provider": "<string>",
    "started_at": "<string>",
    "status_label": "<string>",
    "summary": "<string>",
    "updated_at": "<string>",
    "wiki_id": "<string>"
  },
  "sources": [
    {
      "area": "<string>",
      "created_at": "<string>",
      "folder": "<string>",
      "import_batch_id": "<string>",
      "mime_type": "<string>",
      "name": "<string>",
      "original_filename": "<string>",
      "path": "<string>",
      "sha256": "<string>",
      "size_bytes": 123,
      "source_id": "<string>",
      "status_label": "<string>",
      "updated_at": "<string>",
      "wiki_id": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization
string | null

Path Parameters

wiki_id
string
required

Body

multipart/form-data
files
string[]
required
Minimum array length: 1
instruction
string | null
provider
string
default:codex

Response

Successful Response

batch
HostedSourceBatchDTO · object
required
job
HostedJobDTO · object
required
sources
HostedSourceDTO · object[]
required